<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Applicant</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Detail Applicant
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Detail Applicant</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li>
                            <a th:href="@{/applicant/detail(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Detail</a>
                        </li>
                        <li>
                            <a th:href="@{/applicant/certificate(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Certificate</a>
                        </li>
                        <li>
                            <a th:href="@{/applicant/identity(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Identity File</a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <!--                <ul class="nav nav-tabs">-->
                <!--                    <li class="active"><a href="#detail" data-toggle="tab">Keluarga</a></li>-->
                <!--                </ul>-->
                <div class="tab-content">
                    <div class="tab-pane active" id="detail">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-info">
                                    <div class="box-header with-border">

                                        <span>Certificate </span>
                                        <span th:text="${employess.fullName}"></span>

                                    </div>
                                    <div class="box-body">
                                        <div class="box">
                                            <form method="get">
                                                <div class="box-header with-border">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <!--                                                                <h3 class="box-title">Ayah</h3>-->
                                                        </div>
                                                        <!--                                                            <div class="col-md-6" align="right">-->
                                                        <!--                                                                Show entries <span sd:page-size-selector="javascript"></span>-->
                                                        <!--                                                            </div>-->
                                                    </div>
                                                </div>

                                                <div class="box-header with-border">
                                                    <div class="row">
                                                        <div class="col-md-2">
                                                            <a th:href="@{/applicant/certificate/new(applicant=${employess.id})}" name="tambahPendidikan" type="button" class="btn btn-block btn-default">+ Certificate</a>
                                                        </div>

                                                        <div class="col-md-6" align="right">
                                                            <!--                                                                <div class="input-group input-group-sm" style="width: 150px;">-->
                                                            <!--                                                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
                                                            <!--                                                                    <div class="input-group-btn">-->
                                                            <!--                                                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
                                                            <!--                                                                    </div>-->
                                                            <!--                                                                </div>-->
                                                        </div>

                                                    </div>
                                                </div>
                                            </form>
                                            <!-- /.box-header -->


                                            <div class="box-body table-responsive no-padding">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th style="width: 10px">#</th>
                                                        <th>Name</th>
                                                        <th>Certificate</th>
                                                        <td>Valid Year</td>
                                                        <th style="width: 40px"></th>
                                                        <th style="width: 40px"></th>
                                                    </tr>
                                                    <tr th:each="data,row : ${certificate}">
                                                        <td th:text="${(row.index + 1)}">1.</td>
                                                        <td th:text="${data.certificateName}">BEASISWA</td>
                                                        <td>
                                                            <a th:if="${data.certificateFile} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                                No Attachment
                                                            </a>
                                                            <a th:if="${data.certificateFile} != 'default.jpg'" class="btn btn-success btn-xs" th:href="@{/applicant/{certificate}/certificate/(certificate = ${data.id})}" target="_blank">
                                                                View Attachment
                                                            </a>
                                                        </td>
                                                        <td th:text="${data.mulaiBerlaku + ' - ' + data.selesaiBerlaku}">BEASISWA</td>
                                                        <td>
<!--                                                            <a th:href="@{/masterdata/employes/keahlian/edit(employeeKeahlian=${dataEmployeeKeahlian.id})}" class="btn btn-xs btn-primary">Edit</a>-->
                                                        </td>
                                                        <td>
<!--                                                            <form method="post" th:action="@{/applicant/certificate/delete(employeeKeahlian=${dataEmployeeKeahlian.id})}">-->
<!--                                                                <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                                                        onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                                                    Delete-->
<!--                                                                </button>-->
<!--                                                            </form>-->
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <!-- /.box-body -->
                                            <div class="box-footer clearfix">
                                                <!--                                                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
                                                <!--                                                    <li class="disabled"><a href="#" aria-label="Previous"><span-->
                                                <!--                                                            aria-hidden="true">&laquo;</span></a>-->
                                                <!--                                                    </li>-->
                                                <!--                                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
                                                <!--                                                    </li>-->
                                                <!--                                                </ul>-->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="box-footer">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>